# core/plugs/dump.py
#
#

""" show JSON dump of objects. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel

import threading
import logging
import time
import re

## CMNDS

def dump(event):
    objs = sorted(event.selected(event._parsed), key=lambda x: x.get_timed())
    if "index" in event._parsed:
        try: event.reply(str(objs[event._parsed.index]))
        except: pass
        return
    for obj in objs: event.reply(str(obj))

kernel.cmnds.register("dump", dump)
